Update a subject
Replaces all fields on a subject. All writable fields must be included in the request body — any fields omitted will be cleared.
Path Parameters
- Type: stringsubject
_id requiredUnique identifier of the subject.
Body
required
application/json
- Type: stringcoderequired
Short code identifier.
- Type: stringnamerequired
Name of the subject.
- Type: stringexternal
_id External identifier.
- Type: stringtheme
_id ID of the theme to associate with this subject.
Responses
- application/json
- application/json
- application/json
- application/json
Request Example for put/apis/subjects/subjects/{subject_id}
curl https://school.fullfabric.cloud/apis/subjects/subjects/507f1f77bcf86cd799439011 \
--request PUT \
--header 'Content-Type: application/json' \
--header 'FF-Auth: YOUR_SECRET_TOKEN' \
--data '{
"external_id": "CF-101-V2",
"code": "CF101",
"name": "Corporate Finance & Valuation"
}'
{
"id": "6385baad976a7719120008ca",
"external_id": "CF-101-V2",
"code": "CF101",
"name": "Corporate Finance & Valuation",
"theme_id": "614d9b0a3b5d005eac000139"
}